<template name="frameCalendarPage">
	<style type="text/css">
		/* beautify ignore:start */
		{{#each cssRule in cssRules}}
			{{cssRule}}
		{{/each}}
		/* beautify ignore:end */

	</style>
	{{#each day in days}}
		<h4 class="frame-list-title">{{day}}</h4>
		{{#each event in (eventsOn day)}}
			{{> frameCalendarEvent event}}
		{{/each}}
	{{/each}}
	{{#if Template.subscriptionsReady}}
		{{#unless days}}
			<h2 class="mt-5 text-center">{{i18n 'frame.calendar.noEvents' 'No events planned'}}</h2>
		{{/unless}}
		{{#if moreEvents}}
			<div class="show-more">
				<button class="btn btn-secondary js-show-more-events" type="button">
					{{i18n 'frame.calendar.showMoreEvents' 'Show more events'}}
				</button>
			</div>
		{{/if}}
	{{else}}
		{{> loadingRow}}
	{{/if}}
</template>

<template name="frameCalendarEvent">
	<div class="frame-list-item">
		<h4 class="frame-list-item-header js-toggle-event-details">
			<span class="frame-list-item-toggle-indicator">
				<i class="fa-solid fa-angle-down"></i>
			</span>
			<div class="frame-list-free-seats">
				{{getAttendees}}/{{getTotalAvailableSeats}}
				<span class="frame-list-free-seats-tooltip-text">
					{{#if isUnlimited}}
						{{i18n 'frame.list.reservation.status.unlimited.tooltip' '{RESERVEDSEATS} of unlimited seats reserved' RESERVEDSEATS=getAttendees}}
					{{else}}
						{{i18n 'frame.list.reservation.status.tooltip' '{RESERVEDSEATS} of {TOTALSEATS} seats reserved' RESERVEDSEATS=getAttendees TOTALSEATS=getTotalAvailableSeats}}
					{{/if}}
				</span>
			</div>
			<i class="fa fa-user frame-list-free-seats" aria-hidden="true"></i>

			<span class="frame-list-item-time">
				{{timeFormat start}}
			</span>
			{{title}}
			{{#if allRegions}}
				<span class="badge bg-primary frame-list-item-region">{{regionName}}</span>
			{{/if}}

		</h4>
		{{#if expanded}}
			<div class="frame-list-item-body">
				<div class="frame-list-item-property">
					<div class="frame-list-item-label">
						{{i18n 'frame.eventsList.when' 'When:'}}
					</div>
					<div class="frame-list-item-content">
						{{timeFormat start}} - {{timeFormat end}}
					</div>
				</div>
				<div class="frame-list-item-property">
					<div class="frame-list-item-label">
						{{i18n 'frame.eventsList.where' 'Where:'}}
					</div>
					<div class="frame-list-item-content">
						{{#if venue._id}}
							<a href="{{pathFor 'venueDetails' _id=venue._id}}" target="_blank">
								{{venue.name}}
							</a>
						{{else}}
							{{venue.name}}
						{{/if}}
						{{#if room}}
							- {{room}}
						{{/if}}
					</div>
				</div>
				<div class="frame-list-item-property frame-list-item-description">
					<div class="frame-list-item-label">
						{{i18n 'frame.eventsList.description' 'Description:'}}
					</div>
					<div class="frame-list-item-content">
						{{{description}}}
					</div>
				</div>
				<div class="frame-list-item-links">
					<a class="btn" href="{{pathFor 'showEvent'}}" target="_blank">
						{{i18n 'frame.calendar.moreAboutThisEvent' 'More about this event on {SITENAME}' SITENAME=siteName}}
					</a>
				</div>
			</div>
		{{/if}}
	</div>
</template>
